extends Interactable

func _on_interaction_area_body_entered(body: Player) -> void:
	body.interaction_target = self

func _on_interaction_area_body_exited(body: Player) -> void:
	body.interaction_target = null

func interact(player: Player):
	pass
